from .chat_models import PrivateChatListItem, LastMessage
from uuid import uuid4
from datetime import datetime

def get_mock_chats():
    return [
        PrivateChatListItem(
            chat_name=None,
            chat_type="private",
            chat_id=uuid4(),
            companion_id=uuid4(),
            companion_data={"username": "Alice"},
            last_message=LastMessage(
                message_id=1,
                message_type=["text"],
                context="Привет!",
                created_at=datetime.now()
            ),
            created_at=datetime.now()
        ),
        PrivateChatListItem(
            chat_name=None,
            chat_type="private",
            chat_id=uuid4(),
            companion_id=uuid4(),
            companion_data={"username": "Bob"},
            last_message=LastMessage(
                message_id=2,
                message_type=["voice"],
                context="Голосовое сообщение",
                created_at=datetime.now()
            ),
            created_at=datetime.now()
        )
    ]
